﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

// 
// This source code was auto-generated by Microsoft.VSDesigner, Version 4.0.30319.42000.
// 
#pragma warning disable 1591

namespace SQLIntegrationClassLibrary.PrimalSalesOrderWS {
    using System;
    using System.Web.Services;
    using System.Diagnostics;
    using System.Web.Services.Protocols;
    using System.Xml.Serialization;
    using System.ComponentModel;
    using System.Net;


    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Web.Services.WebServiceBindingAttribute(Name="SalesOrderWS_Binding", Namespace="urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS")]
    public partial class SalesOrderWS : System.Web.Services.Protocols.SoapHttpClientProtocol {
        
        private System.Threading.SendOrPostCallback CreateSalesLineOperationCompleted;
        
        private System.Threading.SendOrPostCallback CreateSalesOrderOperationCompleted;
        
        private System.Threading.SendOrPostCallback UpdateSalesLineOperationCompleted;
        
        private System.Threading.SendOrPostCallback ValidateOrderOperationCompleted;
        
        private System.Threading.SendOrPostCallback ReleaseSalesReturnOrderOperationCompleted;
        
        private System.Threading.SendOrPostCallback Library_UpdateSalesLineOperationCompleted;
        
        private System.Threading.SendOrPostCallback Library_CreateSalesLineOperationCompleted;
        
        private bool useDefaultCredentialsSetExplicitly;
        
        /// <remarks/>
        public SalesOrderWS() {
            this.Url = global::SQLIntegrationClassLibrary.Properties.Settings.Default.SQLIntegrationClassLibrary_PrimalSalesOrderWS_SalesOrderWS;
            if ((this.IsLocalFileSystemWebService(this.Url) == true)) {
                this.UseDefaultCredentials = true;
                this.useDefaultCredentialsSetExplicitly = false;
            }
            else {
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        public new string Url {
            get {
                return base.Url;
            }
            set {
                if ((((this.IsLocalFileSystemWebService(base.Url) == true) 
                            && (this.useDefaultCredentialsSetExplicitly == false)) 
                            && (this.IsLocalFileSystemWebService(value) == false))) {
                    base.UseDefaultCredentials = false;
                }
                base.Url = value;
            }
        }
        
        public new bool UseDefaultCredentials {
            get {
                return base.UseDefaultCredentials;
            }
            set {
                base.UseDefaultCredentials = value;
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }

        public NetworkCredential Credentials { get; set; }

        /// <remarks/>
        public event CreateSalesLineCompletedEventHandler CreateSalesLineCompleted;
        
        /// <remarks/>
        public event CreateSalesOrderCompletedEventHandler CreateSalesOrderCompleted;
        
        /// <remarks/>
        public event UpdateSalesLineCompletedEventHandler UpdateSalesLineCompleted;
        
        /// <remarks/>
        public event ValidateOrderCompletedEventHandler ValidateOrderCompleted;
        
        /// <remarks/>
        public event ReleaseSalesReturnOrderCompletedEventHandler ReleaseSalesReturnOrderCompleted;
        
        /// <remarks/>
        public event Library_UpdateSalesLineCompletedEventHandler Library_UpdateSalesLineCompleted;
        
        /// <remarks/>
        public event Library_CreateSalesLineCompletedEventHandler Library_CreateSalesLineCompleted;
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS:CreateSalesLine", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS", ResponseElementName="CreateSalesLine_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void CreateSalesLine(string saleOrder, string saleLineProductCode, string unit_of_Measure_Code, decimal quantity, decimal consigned_Quantity, decimal qty_to_Ship, decimal qty_to_Invoice) {
            this.Invoke("CreateSalesLine", new object[] {
                        saleOrder,
                        saleLineProductCode,
                        unit_of_Measure_Code,
                        quantity,
                        consigned_Quantity,
                        qty_to_Ship,
                        qty_to_Invoice});
        }
        
        /// <remarks/>
        public void CreateSalesLineAsync(string saleOrder, string saleLineProductCode, string unit_of_Measure_Code, decimal quantity, decimal consigned_Quantity, decimal qty_to_Ship, decimal qty_to_Invoice) {
            this.CreateSalesLineAsync(saleOrder, saleLineProductCode, unit_of_Measure_Code, quantity, consigned_Quantity, qty_to_Ship, qty_to_Invoice, null);
        }
        
        /// <remarks/>
        public void CreateSalesLineAsync(string saleOrder, string saleLineProductCode, string unit_of_Measure_Code, decimal quantity, decimal consigned_Quantity, decimal qty_to_Ship, decimal qty_to_Invoice, object userState) {
            if ((this.CreateSalesLineOperationCompleted == null)) {
                this.CreateSalesLineOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCreateSalesLineOperationCompleted);
            }
            this.InvokeAsync("CreateSalesLine", new object[] {
                        saleOrder,
                        saleLineProductCode,
                        unit_of_Measure_Code,
                        quantity,
                        consigned_Quantity,
                        qty_to_Ship,
                        qty_to_Invoice}, this.CreateSalesLineOperationCompleted, userState);
        }
        
        private void OnCreateSalesLineOperationCompleted(object arg) {
            if ((this.CreateSalesLineCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CreateSalesLineCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS:CreateSalesOrder", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS", ResponseElementName="CreateSalesOrder_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void CreateSalesOrder() {
            this.Invoke("CreateSalesOrder", new object[0]);
        }
        
        /// <remarks/>
        public void CreateSalesOrderAsync() {
            this.CreateSalesOrderAsync(null);
        }
        
        /// <remarks/>
        public void CreateSalesOrderAsync(object userState) {
            if ((this.CreateSalesOrderOperationCompleted == null)) {
                this.CreateSalesOrderOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCreateSalesOrderOperationCompleted);
            }
            this.InvokeAsync("CreateSalesOrder", new object[0], this.CreateSalesOrderOperationCompleted, userState);
        }
        
        private void OnCreateSalesOrderOperationCompleted(object arg) {
            if ((this.CreateSalesOrderCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CreateSalesOrderCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS:UpdateSalesLine", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS", ResponseElementName="UpdateSalesLine_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void UpdateSalesLine(string salesOrder, string productCode, string unit_of_Measure_Code, decimal quantity, decimal consigned_Quantity, decimal qty_to_Ship, decimal qty_to_Invoice) {
            this.Invoke("UpdateSalesLine", new object[] {
                        salesOrder,
                        productCode,
                        unit_of_Measure_Code,
                        quantity,
                        consigned_Quantity,
                        qty_to_Ship,
                        qty_to_Invoice});
        }
        
        /// <remarks/>
        public void UpdateSalesLineAsync(string salesOrder, string productCode, string unit_of_Measure_Code, decimal quantity, decimal consigned_Quantity, decimal qty_to_Ship, decimal qty_to_Invoice) {
            this.UpdateSalesLineAsync(salesOrder, productCode, unit_of_Measure_Code, quantity, consigned_Quantity, qty_to_Ship, qty_to_Invoice, null);
        }
        
        /// <remarks/>
        public void UpdateSalesLineAsync(string salesOrder, string productCode, string unit_of_Measure_Code, decimal quantity, decimal consigned_Quantity, decimal qty_to_Ship, decimal qty_to_Invoice, object userState) {
            if ((this.UpdateSalesLineOperationCompleted == null)) {
                this.UpdateSalesLineOperationCompleted = new System.Threading.SendOrPostCallback(this.OnUpdateSalesLineOperationCompleted);
            }
            this.InvokeAsync("UpdateSalesLine", new object[] {
                        salesOrder,
                        productCode,
                        unit_of_Measure_Code,
                        quantity,
                        consigned_Quantity,
                        qty_to_Ship,
                        qty_to_Invoice}, this.UpdateSalesLineOperationCompleted, userState);
        }
        
        private void OnUpdateSalesLineOperationCompleted(object arg) {
            if ((this.UpdateSalesLineCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.UpdateSalesLineCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS:ValidateOrder", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS", ResponseElementName="ValidateOrder_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void ValidateOrder(string saleOrderNo) {
            this.Invoke("ValidateOrder", new object[] {
                        saleOrderNo});
        }
        
        /// <remarks/>
        public void ValidateOrderAsync(string saleOrderNo) {
            this.ValidateOrderAsync(saleOrderNo, null);
        }
        
        /// <remarks/>
        public void ValidateOrderAsync(string saleOrderNo, object userState) {
            if ((this.ValidateOrderOperationCompleted == null)) {
                this.ValidateOrderOperationCompleted = new System.Threading.SendOrPostCallback(this.OnValidateOrderOperationCompleted);
            }
            this.InvokeAsync("ValidateOrder", new object[] {
                        saleOrderNo}, this.ValidateOrderOperationCompleted, userState);
        }
        
        private void OnValidateOrderOperationCompleted(object arg) {
            if ((this.ValidateOrderCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.ValidateOrderCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS:ReleaseSalesReturnOrder", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS", ResponseElementName="ReleaseSalesReturnOrder_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void ReleaseSalesReturnOrder(string order) {
            this.Invoke("ReleaseSalesReturnOrder", new object[] {
                        order});
        }
        
        /// <remarks/>
        public void ReleaseSalesReturnOrderAsync(string order) {
            this.ReleaseSalesReturnOrderAsync(order, null);
        }
        
        /// <remarks/>
        public void ReleaseSalesReturnOrderAsync(string order, object userState) {
            if ((this.ReleaseSalesReturnOrderOperationCompleted == null)) {
                this.ReleaseSalesReturnOrderOperationCompleted = new System.Threading.SendOrPostCallback(this.OnReleaseSalesReturnOrderOperationCompleted);
            }
            this.InvokeAsync("ReleaseSalesReturnOrder", new object[] {
                        order}, this.ReleaseSalesReturnOrderOperationCompleted, userState);
        }
        
        private void OnReleaseSalesReturnOrderOperationCompleted(object arg) {
            if ((this.ReleaseSalesReturnOrderCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.ReleaseSalesReturnOrderCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS:Library_UpdateSalesLine", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS", ResponseElementName="Library_UpdateSalesLine_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void Library_UpdateSalesLine(string salesOrder, string productCode, string unit_of_Measure_Code, decimal quantity, decimal consigned_Quantity, decimal qty_to_Ship, decimal qty_to_Invoice, string locationCode) {
            this.Invoke("Library_UpdateSalesLine", new object[] {
                        salesOrder,
                        productCode,
                        unit_of_Measure_Code,
                        quantity,
                        consigned_Quantity,
                        qty_to_Ship,
                        qty_to_Invoice,
                        locationCode});
        }
        
        /// <remarks/>
        public void Library_UpdateSalesLineAsync(string salesOrder, string productCode, string unit_of_Measure_Code, decimal quantity, decimal consigned_Quantity, decimal qty_to_Ship, decimal qty_to_Invoice, string locationCode) {
            this.Library_UpdateSalesLineAsync(salesOrder, productCode, unit_of_Measure_Code, quantity, consigned_Quantity, qty_to_Ship, qty_to_Invoice, locationCode, null);
        }
        
        /// <remarks/>
        public void Library_UpdateSalesLineAsync(string salesOrder, string productCode, string unit_of_Measure_Code, decimal quantity, decimal consigned_Quantity, decimal qty_to_Ship, decimal qty_to_Invoice, string locationCode, object userState) {
            if ((this.Library_UpdateSalesLineOperationCompleted == null)) {
                this.Library_UpdateSalesLineOperationCompleted = new System.Threading.SendOrPostCallback(this.OnLibrary_UpdateSalesLineOperationCompleted);
            }
            this.InvokeAsync("Library_UpdateSalesLine", new object[] {
                        salesOrder,
                        productCode,
                        unit_of_Measure_Code,
                        quantity,
                        consigned_Quantity,
                        qty_to_Ship,
                        qty_to_Invoice,
                        locationCode}, this.Library_UpdateSalesLineOperationCompleted, userState);
        }
        
        private void OnLibrary_UpdateSalesLineOperationCompleted(object arg) {
            if ((this.Library_UpdateSalesLineCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.Library_UpdateSalesLineCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS:Library_CreateSalesLine", RequestNamespace="urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS", ResponseElementName="Library_CreateSalesLine_Result", ResponseNamespace="urn:microsoft-dynamics-schemas/codeunit/SalesOrderWS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void Library_CreateSalesLine(string saleOrder, string saleLineProductCode, string unit_of_Measure_Code, decimal quantity, decimal consigned_Quantity, decimal qty_to_Ship, decimal qty_to_Invoice, string locationCode) {
            this.Invoke("Library_CreateSalesLine", new object[] {
                        saleOrder,
                        saleLineProductCode,
                        unit_of_Measure_Code,
                        quantity,
                        consigned_Quantity,
                        qty_to_Ship,
                        qty_to_Invoice,
                        locationCode});
        }
        
        /// <remarks/>
        public void Library_CreateSalesLineAsync(string saleOrder, string saleLineProductCode, string unit_of_Measure_Code, decimal quantity, decimal consigned_Quantity, decimal qty_to_Ship, decimal qty_to_Invoice, string locationCode) {
            this.Library_CreateSalesLineAsync(saleOrder, saleLineProductCode, unit_of_Measure_Code, quantity, consigned_Quantity, qty_to_Ship, qty_to_Invoice, locationCode, null);
        }
        
        /// <remarks/>
        public void Library_CreateSalesLineAsync(string saleOrder, string saleLineProductCode, string unit_of_Measure_Code, decimal quantity, decimal consigned_Quantity, decimal qty_to_Ship, decimal qty_to_Invoice, string locationCode, object userState) {
            if ((this.Library_CreateSalesLineOperationCompleted == null)) {
                this.Library_CreateSalesLineOperationCompleted = new System.Threading.SendOrPostCallback(this.OnLibrary_CreateSalesLineOperationCompleted);
            }
            this.InvokeAsync("Library_CreateSalesLine", new object[] {
                        saleOrder,
                        saleLineProductCode,
                        unit_of_Measure_Code,
                        quantity,
                        consigned_Quantity,
                        qty_to_Ship,
                        qty_to_Invoice,
                        locationCode}, this.Library_CreateSalesLineOperationCompleted, userState);
        }
        
        private void OnLibrary_CreateSalesLineOperationCompleted(object arg) {
            if ((this.Library_CreateSalesLineCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.Library_CreateSalesLineCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        public new void CancelAsync(object userState) {
            base.CancelAsync(userState);
        }
        
        private bool IsLocalFileSystemWebService(string url) {
            if (((url == null) 
                        || (url == string.Empty))) {
                return false;
            }
            System.Uri wsUri = new System.Uri(url);
            if (((wsUri.Port >= 1024) 
                        && (string.Compare(wsUri.Host, "localHost", System.StringComparison.OrdinalIgnoreCase) == 0))) {
                return true;
            }
            return false;
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void CreateSalesLineCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void CreateSalesOrderCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void UpdateSalesLineCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void ValidateOrderCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void ReleaseSalesReturnOrderCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void Library_UpdateSalesLineCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void Library_CreateSalesLineCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
}

#pragma warning restore 1591